import Utils from "~/utils"

/**
* Cptopn Check规则
*/
let checkObj = {
    "cptp.resbchnam"                      :null,
    "cptp.liqtyp"                      :null,
    "cpdgrp.ori.pts.adrblk"                      :null,
    "trdgrp.rec.ownref"                      :null,
    "cptp.recget.sdamod.dadsnd"                      :null,
    "cpdgrp.orc.pts.extkey"                      :null,
    "cnybop.outflg"                      :null,
    "cpdgrp.pye.namelc"                      :null,
    "cptp.commet"                      :null,
    "finmod.ratchgdat"                      :null,
    "cptp.orcp.ptsget.sdamod.dadsnd"                      :null,
    "cpdgrp.rec.amt71f"                      :null,
    "setmod.dspflg"                      :null,
    "cpdgrp.rec.ownref"                      :null,
    "cpdgrp.orc.adrelc"                      :null,
    "finmod.intamt"                      :null,
    "cptp.coract"                      :null,
    "cpdgrp.pye.pts.extkey"                      :null,
    "cpdgrp.pye.pts.adrblk"                      :null,
    "cpdgrp.rec.trntyp"                      :null,
    "cptp.reconebchnam"                      :null,
    "cpdgrp.ori.namelc"                      :null,
    "cnybop.cnyflg"                      :null,
    "cptp.bustyp"                      :null,
    "cpdgrp.rec.sztyp"                      :null,
    "finmod.ratchgprd"                      :null,
    "cptp.pyebchnam"                      :null,
    "cpdgrp.pye.adrelc"                      :null,
    "finmod.ratchgtyp"                      :null,
    "cpdgrp.rec.valdat"                      :null,
    "cpdgrp.rec.swftyp"                      :null,
    "cptp.orcnam"                      :null,
    "cptp.pyenam"                      :null,
    "trdgrp.fip.pts.extkey"                      :null,
    "cpdgrp.rec.f36"                      :null,
    "cpdgrp.rec.amtf33b"                      :null,
    "cptp.pyeadr"                      :null,
    "trdgrp.fip.namelc"                      :null,
    "finmod.ovdinttyp"                      :null,
    "cpdgrp.rec.curf33b"                      :null,
    "cpdgrp.rec.clityp"                      :null,
    "cptp.orcadr"                      :null,
    "cpdgrp.rec.paytype"                      :null,
    "finmod.flttyp"                      :null,
    "cpdgrp.snd.adrelc"                      :null,
    "cptp.payeecountcode"                      :null,
    "cptp.cleage"                      :null,
    "cptp.resbch"                      :null,
    "finmod.ovdintrat"                      :null,
    "cptp.orip.ptsget.sdamod.dadsnd"                      :null,
    "cpdgrp.orc.pts.adrblk"                      :null,
    "cpdgrp.rec.ischktyp"                      :null,
    "bopmod.szflg"                      :null,
    "cptp.sndp.ptsget.sdamod.dadsnd"                      :null,
    "cptp.evebch"                      :null,
    "finmod.fltval"                      :null,
    "cptp.secmod"                      :null,
    "cpdgrp.orc.namelc"                      :null,
    "cnybop.traflg"                      :null,
    "cptp.pyep.ptsget.sdamod.dadsnd"                      :null,
    "fipp.ptsget.sdamod.dadsnd"                      :null,
    "cpdgrp.ori.adrelc"                      :null,
    "cpdgrp.snd.pts.adrblk"                      :null,
    "cpdgrp.ori.pts.ref"                      :null,
    "finmod.act1"                      :null,
    "finmod.act3"                      :null,
    "cpdgrp.cbs.nom1.amt"                      :null,
    "finmod.intdat"                      :null,
    "cpdgrp.ori.pts.extkey"                      :null,
    "cptp.pyebchkey"                      :null,
    "cpdgrp.cbs.max.amt"                      :null,
    "cpdgrp.snd.pts.extkey"                      :null,
    "cpdgrp.rec.pyeact"                      :null,
    "trdgrp.fip.pts.adrblk"                      :null,
    "cpdgrp.rec.orcact"                      :null,
    "bopmod.basflg"                      :null,
    "trdgrp.fip.adrelc"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "cpdgrp.rec.paydat"                      :null,
    "cnybop.libflg"                      :null,
    "cpdgrp.cbs.max.cur"                      :null,
    "cpdgrp.rec.prechkdat"                      :null,
    "bopmod.ownextkey"                      :null,
    "cpdgrp.rec.sysno"                      :null,
    "setmod.docamt"                      :null,
    "bopmod.acttyp"                      :null,
    "cpdgrp.snd.namelc"                      :null,
    "cpdgrp.rec.cur71f"                      :null,
    "cnybop.vouflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj
