import Utils from "~/utils"

/**
* Infled Check规则
*/
let checkObj = {
    "ledgrp.apb.pts.extkey"                      :null,
    "ledgrp.rec.opndat"                      :null,
    "ledgrp.adv.namelc"                      :null,
    "ledgrp.rmb.pts.extkey"                      :null,
    "ledgrp.a2b.pts.adrblk"                      :null,
    "recpan.aplp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.iss.pts.adrblk"                      :null,
    "ledgrp.blk.preper"                      :null,
    "ledgrp.adv.adrelc"                      :null,
    "ledgrp.ben.adrelc"                      :null,
    "ledgrp.avb.adrelc"                      :null,
    "ledgrp.rec.tenmaxday"                      :null,
    "ledgrp.blk.mixdet"                      :null,
    "ledgrp.avb.pts.extkey"                      :null,
    "ledgrp.adv.pts.extkey"                      :null,
    "ledgrp.drw.adrelc"                      :null,
    "recpan.recget.sdamod.dadsnd"                      :null,
    "ledgrp.ben.pts.extkey"                      :null,
    "ledgrp.rmb.pts.adrblk"                      :null,
    "ledgrp.blk.lcrgod"                      :null,
    "recpan.apbp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.a2b.adrelc"                      :null,
    "ledgrp.avb.namelc"                      :null,
    "ledgrp.avb.pts.adrblk"                      :null,
    "recpan.usr.extkey"                      :null,
    "ledgrp.apb.pts.adrblk"                      :null,
    "recpan.rmbp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.a2b.namelc"                      :null,
    "recpan.a2bp.ptsget.sdamod.dadsnd"                      :null,
    "recpan.drwp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.con.pts.nam"                      :null,
    "ledgrp.rec.prepers18"                      :null,
    "ledgrp.iss.adrelc"                      :null,
    "recpan.conp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.rec.avbwth"                      :null,
    "ledgrp.apb.namelc"                      :null,
    "ledgrp.rmb.namelc"                      :null,
    "ledgrp.apl.namelc"                      :null,
    "ledgrp.blk.feetxt"                      :null,
    "infcon.seaamtto"                      :null,
    "ledgrp.rec.stacty"                      :null,
    "ledgrp.adv.pts.adrblk"                      :null,
    "ledgrp.blk.lcrdoc"                      :null,
    "ledgrp.blk.defdet"                      :null,
    "recpan.avbp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.blk.dftat"                      :null,
    "ledgrp.rec.lcrtyp"                      :null,
    "ledgrp.blk.insbnk"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "ledgrp.rec.apprul"                      :null,
    "ledgrp.apl.adrelc"                      :null,
    "ledgrp.iss.pts.extkey"                      :null,
    "ledgrp.blk.adlcnd"                      :null,
    "ledgrp.iss.namelc"                      :null,
    "ledgrp.rec.expplc"                      :null,
    "recpan.benp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.drw.pts.extkey"                      :null,
    "ledgrp.a2b.pts.extkey"                      :null,
    "ledgrp.iss.pts.ref"                      :null,
    "ledgrp.ben.namelc"                      :null,
    "ledgrp.apl.pts.adrblk"                      :null,
    "ledgrp.ben.pts.adrblk"                      :null,
    "recpan.advp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.apb.adrelc"                      :null,
    "ledgrp.rmb.adrelc"                      :null,
    "ledgrp.drw.namelc"                      :null,
    "ledgrp.apl.pts.extkey"                      :null,
    "ledgrp.con.pts.extkey"                      :null,
    "ledgrp.rec.cnfdet"                      :null,
    "recpan.issp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.drw.pts.adrblk"                      :null,
    "ledgrp.rec.apprultxt"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

